package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class notificationservice_subs_0 {


public static RemoteObject  _esmensajewavalido(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("esMensajeWAValido (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,97);
if (RapidSub.canDelegate("esmensajewavalido")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","esmensajewavalido", _sbn);}
RemoteObject _valido = RemoteObject.createImmutable(false);
RemoteObject _ww = null;
Debug.locals.put("SBN", _sbn);
 BA.debugLineNum = 97;BA.debugLine="Sub esMensajeWAValido(SBN As StatusBarNotification";
Debug.ShouldStop(1);
 BA.debugLineNum = 98;BA.debugLine="Private valido As Boolean = False";
Debug.ShouldStop(2);
_valido = notificationservice.mostCurrent.__c.getField(true,"False");Debug.locals.put("valido", _valido);Debug.locals.put("valido", _valido);
 BA.debugLineNum = 99;BA.debugLine="Private ww() As String = Regex.Split(\"\\|\", SBN.Ke";
Debug.ShouldStop(4);
_ww = notificationservice.mostCurrent.__c.getField(false,"Regex").runMethod(false,"Split",(Object)(BA.ObjectToString("\\|")),(Object)(_sbn.runMethod(true,"getKey")));Debug.locals.put("ww", _ww);Debug.locals.put("ww", _ww);
 BA.debugLineNum = 100;BA.debugLine="If ww(3) <> Null And ww(3) <> \"null\" Then valido";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("N",_ww.getArrayElement(true,BA.numberCast(int.class, 3))) && RemoteObject.solveBoolean("!",_ww.getArrayElement(true,BA.numberCast(int.class, 3)),BA.ObjectToString("null"))) { 
_valido = notificationservice.mostCurrent.__c.getField(true,"True");Debug.locals.put("valido", _valido);};
 BA.debugLineNum = 101;BA.debugLine="Return valido";
Debug.ShouldStop(16);
if (true) return BA.ObjectToString(_valido);
 BA.debugLineNum = 102;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getgroupname(RemoteObject _sbntitle) throws Exception{
try {
		Debug.PushSubsStack("getGroupName (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,151);
if (RapidSub.canDelegate("getgroupname")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","getgroupname", _sbntitle);}
RemoteObject _a = RemoteObject.createImmutable(0);
RemoteObject _x = RemoteObject.createImmutable("");
RemoteObject _b = RemoteObject.createImmutable("");
Debug.locals.put("sbnTitle", _sbntitle);
 BA.debugLineNum = 151;BA.debugLine="Sub getGroupName(sbnTitle As String) As String 'ig";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 152;BA.debugLine="Private a As Int = sbnTitle.IndexOf(\": \")";
Debug.ShouldStop(8388608);
_a = _sbntitle.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable(": ")));Debug.locals.put("a", _a);Debug.locals.put("a", _a);
 BA.debugLineNum = 153;BA.debugLine="Private x As String = sbnTitle";
Debug.ShouldStop(16777216);
_x = _sbntitle;Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 154;BA.debugLine="If a > -1 Then";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean(">",_a,BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 155;BA.debugLine="Private b As String = sbnTitle.SubString2(0, a)";
Debug.ShouldStop(67108864);
_b = _sbntitle.runMethod(true,"substring",(Object)(BA.numberCast(int.class, 0)),(Object)(_a));Debug.locals.put("b", _b);Debug.locals.put("b", _b);
 BA.debugLineNum = 156;BA.debugLine="x = Regex.Replace(\" \\(.+\\)\", b, \"\")";
Debug.ShouldStop(134217728);
_x = notificationservice.mostCurrent.__c.getField(false,"Regex").runMethod(true,"Replace",(Object)(BA.ObjectToString(" \\(.+\\)")),(Object)(_b),(Object)(RemoteObject.createImmutable("")));Debug.locals.put("x", _x);
 };
 BA.debugLineNum = 158;BA.debugLine="Return x";
Debug.ShouldStop(536870912);
if (true) return _x;
 BA.debugLineNum = 159;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getgroupname2(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("getGroupName2 (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,164);
if (RapidSub.canDelegate("getgroupname2")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","getgroupname2", _sbn);}
RemoteObject _inicio = RemoteObject.createImmutable(0);
RemoteObject _x = RemoteObject.createImmutable("");
RemoteObject _fin = RemoteObject.createImmutable(0);
Debug.locals.put("sbn", _sbn);
 BA.debugLineNum = 164;BA.debugLine="Sub getGroupName2(sbn As StatusBarNotification) As";
Debug.ShouldStop(8);
 BA.debugLineNum = 165;BA.debugLine="Private inicio As Int = sbn.Extras.As(String).Ind";
Debug.ShouldStop(16);
_inicio = (BA.ObjectToString(_sbn.runMethod(false,"Extras"))).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("hiddenConversationTitle=")));Debug.locals.put("inicio", _inicio);Debug.locals.put("inicio", _inicio);
 BA.debugLineNum = 166;BA.debugLine="If inicio > -1 And sbn.Extras.As(String).IndexOf(";
Debug.ShouldStop(32);
if (RemoteObject.solveBoolean(">",_inicio,BA.numberCast(double.class, -(double) (0 + 1))) && RemoteObject.solveBoolean("=",(BA.ObjectToString(_sbn.runMethod(false,"Extras"))).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("hiddenConversationTitle=null"))),BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 167;BA.debugLine="Private x As String = sbn.Extras.As(String) 'ign";
Debug.ShouldStop(64);
_x = (BA.ObjectToString(_sbn.runMethod(false,"Extras")));Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 168;BA.debugLine="Private fin As Int = x.IndexOf(\", android.reduce";
Debug.ShouldStop(128);
_fin = _x.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable(", android.reduced.images=")));Debug.locals.put("fin", _fin);Debug.locals.put("fin", _fin);
 BA.debugLineNum = 169;BA.debugLine="x = x.SubString2(inicio+24, fin)";
Debug.ShouldStop(256);
_x = _x.runMethod(true,"substring",(Object)(RemoteObject.solve(new RemoteObject[] {_inicio,RemoteObject.createImmutable(24)}, "+",1, 1)),(Object)(_fin));Debug.locals.put("x", _x);
 BA.debugLineNum = 170;BA.debugLine="x = Regex.Replace(\" \\(.+\\)\", x, \"\") 'Replace any";
Debug.ShouldStop(512);
_x = notificationservice.mostCurrent.__c.getField(false,"Regex").runMethod(true,"Replace",(Object)(BA.ObjectToString(" \\(.+\\)")),(Object)(_x),(Object)(RemoteObject.createImmutable("")));Debug.locals.put("x", _x);
 }else {
 BA.debugLineNum = 172;BA.debugLine="Private x As String = sbn.Title";
Debug.ShouldStop(2048);
_x = _sbn.runMethod(true,"getTitle");Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 };
 BA.debugLineNum = 174;BA.debugLine="Return x";
Debug.ShouldStop(8192);
if (true) return _x;
 BA.debugLineNum = 175;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getnumberorgroupwa(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("getNumberOrGroupWA (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,188);
if (RapidSub.canDelegate("getnumberorgroupwa")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","getnumberorgroupwa", _sbn);}
RemoteObject _numremitente = RemoteObject.createImmutable("");
Debug.locals.put("sbn", _sbn);
 BA.debugLineNum = 188;BA.debugLine="Sub getNumberOrGroupWA(sbn As StatusBarNotificatio";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 189;BA.debugLine="Private numRemitente As String = getNumberWA(sbn)";
Debug.ShouldStop(268435456);
_numremitente = _getnumberwa(_sbn);Debug.locals.put("numRemitente", _numremitente);Debug.locals.put("numRemitente", _numremitente);
 BA.debugLineNum = 190;BA.debugLine="If numRemitente = \"Not a person\" Then numRemitent";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",_numremitente,BA.ObjectToString("Not a person"))) { 
_numremitente = _getgroupname(_sbn.runMethod(true,"getTitle"));Debug.locals.put("numRemitente", _numremitente);};
 BA.debugLineNum = 191;BA.debugLine="Return numRemitente";
Debug.ShouldStop(1073741824);
if (true) return _numremitente;
 BA.debugLineNum = 192;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getnumberwa(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("getNumberWA (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,137);
if (RapidSub.canDelegate("getnumberwa")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","getnumberwa", _sbn);}
RemoteObject _a = RemoteObject.createImmutable(0);
RemoteObject _x = RemoteObject.createImmutable("");
RemoteObject _y = RemoteObject.createImmutable(0);
Debug.locals.put("sbn", _sbn);
 BA.debugLineNum = 137;BA.debugLine="Sub getNumberWA(sbn As StatusBarNotification) As S";
Debug.ShouldStop(256);
 BA.debugLineNum = 138;BA.debugLine="Private a As Int = sbn.As(String).IndexOf(\"@s.wha";
Debug.ShouldStop(512);
_a = (BA.ObjectToString(_sbn)).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("@s.whatsapp.net")));Debug.locals.put("a", _a);Debug.locals.put("a", _a);
 BA.debugLineNum = 139;BA.debugLine="If a > -1 Then";
Debug.ShouldStop(1024);
if (RemoteObject.solveBoolean(">",_a,BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 140;BA.debugLine="Private x As String = sbn.As(String) 'ignore";
Debug.ShouldStop(2048);
_x = (BA.ObjectToString(_sbn));Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 141;BA.debugLine="Private y As Int = x.IndexOf(\"shortcut=\")";
Debug.ShouldStop(4096);
_y = _x.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("shortcut=")));Debug.locals.put("y", _y);Debug.locals.put("y", _y);
 BA.debugLineNum = 142;BA.debugLine="If (y+9) > 0 And a > (y+9) Then x = x.SubString2";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean(">",(RemoteObject.solve(new RemoteObject[] {_y,RemoteObject.createImmutable(9)}, "+",1, 1)),BA.numberCast(double.class, 0)) && RemoteObject.solveBoolean(">",_a,BA.numberCast(double.class, (RemoteObject.solve(new RemoteObject[] {_y,RemoteObject.createImmutable(9)}, "+",1, 1))))) { 
_x = _x.runMethod(true,"substring",(Object)(RemoteObject.solve(new RemoteObject[] {_y,RemoteObject.createImmutable(9)}, "+",1, 1)),(Object)(_a));Debug.locals.put("x", _x);}
else {
_x = BA.ObjectToString("Not a person");Debug.locals.put("x", _x);};
 }else {
 BA.debugLineNum = 144;BA.debugLine="x = \"Not a person\"";
Debug.ShouldStop(32768);
_x = BA.ObjectToString("Not a person");Debug.locals.put("x", _x);
 };
 BA.debugLineNum = 146;BA.debugLine="Return x";
Debug.ShouldStop(131072);
if (true) return _x;
 BA.debugLineNum = 147;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getpersonfromgroup(RemoteObject _sbntitle) throws Exception{
try {
		Debug.PushSubsStack("getPersonFromGroup (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,180);
if (RapidSub.canDelegate("getpersonfromgroup")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","getpersonfromgroup", _sbntitle);}
RemoteObject _a = RemoteObject.createImmutable(0);
RemoteObject _b = RemoteObject.createImmutable("");
Debug.locals.put("sbnTitle", _sbntitle);
 BA.debugLineNum = 180;BA.debugLine="Sub getPersonFromGroup(sbnTitle As String) As Stri";
Debug.ShouldStop(524288);
 BA.debugLineNum = 181;BA.debugLine="Private a As Int = sbnTitle.IndexOf(\": \")";
Debug.ShouldStop(1048576);
_a = _sbntitle.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable(": ")));Debug.locals.put("a", _a);Debug.locals.put("a", _a);
 BA.debugLineNum = 182;BA.debugLine="If a = -1 Then a = -2 'Is not from a group.";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean("=",_a,BA.numberCast(double.class, -(double) (0 + 1)))) { 
_a = BA.numberCast(int.class, -(double) (0 + 2));Debug.locals.put("a", _a);};
 BA.debugLineNum = 183;BA.debugLine="Private b As String = sbnTitle.SubString(a+2)";
Debug.ShouldStop(4194304);
_b = _sbntitle.runMethod(true,"substring",(Object)(RemoteObject.solve(new RemoteObject[] {_a,RemoteObject.createImmutable(2)}, "+",1, 1)));Debug.locals.put("b", _b);Debug.locals.put("b", _b);
 BA.debugLineNum = 184;BA.debugLine="Return b";
Debug.ShouldStop(8388608);
if (true) return _b;
 BA.debugLineNum = 185;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getshortcut(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("getShortcut (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,197);
if (RapidSub.canDelegate("getshortcut")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","getshortcut", _sbn);}
RemoteObject _ap = RemoteObject.createImmutable(0);
RemoteObject _ag = RemoteObject.createImmutable(0);
RemoteObject _x = RemoteObject.createImmutable("");
RemoteObject _y = RemoteObject.createImmutable(0);
Debug.locals.put("sbn", _sbn);
 BA.debugLineNum = 197;BA.debugLine="Sub getShortcut(sbn As StatusBarNotification) As S";
Debug.ShouldStop(16);
 BA.debugLineNum = 198;BA.debugLine="Private ap As Int = sbn.As(String).IndexOf(\"@s.wh";
Debug.ShouldStop(32);
_ap = (BA.ObjectToString(_sbn)).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("@s.whatsapp.net")));Debug.locals.put("ap", _ap);Debug.locals.put("ap", _ap);
 BA.debugLineNum = 199;BA.debugLine="Private ag As Int = sbn.As(String).IndexOf(\"@g.us";
Debug.ShouldStop(64);
_ag = (BA.ObjectToString(_sbn)).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("@g.us")));Debug.locals.put("ag", _ag);Debug.locals.put("ag", _ag);
 BA.debugLineNum = 200;BA.debugLine="Private x As String = sbn.As(String) 'ignore";
Debug.ShouldStop(128);
_x = (BA.ObjectToString(_sbn));Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 201;BA.debugLine="Private y As Int = x.IndexOf(\"shortcut=\")";
Debug.ShouldStop(256);
_y = _x.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("shortcut=")));Debug.locals.put("y", _y);Debug.locals.put("y", _y);
 BA.debugLineNum = 202;BA.debugLine="If ap > -1 Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean(">",_ap,BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 203;BA.debugLine="Private x As String = sbn.As(String) 'ignore";
Debug.ShouldStop(1024);
_x = (BA.ObjectToString(_sbn));Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 204;BA.debugLine="Private y As Int = x.IndexOf(\"shortcut=\")";
Debug.ShouldStop(2048);
_y = _x.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("shortcut=")));Debug.locals.put("y", _y);Debug.locals.put("y", _y);
 BA.debugLineNum = 205;BA.debugLine="x = x.SubString2(y+9, ap+15)";
Debug.ShouldStop(4096);
_x = _x.runMethod(true,"substring",(Object)(RemoteObject.solve(new RemoteObject[] {_y,RemoteObject.createImmutable(9)}, "+",1, 1)),(Object)(RemoteObject.solve(new RemoteObject[] {_ap,RemoteObject.createImmutable(15)}, "+",1, 1)));Debug.locals.put("x", _x);
 }else 
{ BA.debugLineNum = 206;BA.debugLine="Else if ag > -1 Then 'It is probably is a group.";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean(">",_ag,BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 207;BA.debugLine="Private x As String = sbn.As(String) 'ignore";
Debug.ShouldStop(16384);
_x = (BA.ObjectToString(_sbn));Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 208;BA.debugLine="Private y As Int = x.IndexOf(\"shortcut=\")";
Debug.ShouldStop(32768);
_y = _x.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("shortcut=")));Debug.locals.put("y", _y);Debug.locals.put("y", _y);
 BA.debugLineNum = 209;BA.debugLine="x = x.SubString2(y+9, ag+5)";
Debug.ShouldStop(65536);
_x = _x.runMethod(true,"substring",(Object)(RemoteObject.solve(new RemoteObject[] {_y,RemoteObject.createImmutable(9)}, "+",1, 1)),(Object)(RemoteObject.solve(new RemoteObject[] {_ag,RemoteObject.createImmutable(5)}, "+",1, 1)));Debug.locals.put("x", _x);
 }}
;
 BA.debugLineNum = 211;BA.debugLine="Return x";
Debug.ShouldStop(262144);
if (true) return _x;
 BA.debugLineNum = 212;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _isgroupwa(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("isGroupWA (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,113);
if (RapidSub.canDelegate("isgroupwa")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","isgroupwa", _sbn);}
RemoteObject _a = RemoteObject.createImmutable(false);
Debug.locals.put("sbn", _sbn);
 BA.debugLineNum = 113;BA.debugLine="Sub isGroupWA(sbn As StatusBarNotification) As Boo";
Debug.ShouldStop(65536);
 BA.debugLineNum = 114;BA.debugLine="Private a As Boolean = False";
Debug.ShouldStop(131072);
_a = notificationservice.mostCurrent.__c.getField(true,"False");Debug.locals.put("a", _a);Debug.locals.put("a", _a);
 BA.debugLineNum = 115;BA.debugLine="If sbn.As(String).IndexOf(\"@g.us\") > -1 Then a =";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean(">",(BA.ObjectToString(_sbn)).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("@g.us"))),BA.numberCast(double.class, -(double) (0 + 1)))) { 
_a = notificationservice.mostCurrent.__c.getField(true,"True");Debug.locals.put("a", _a);};
 BA.debugLineNum = 116;BA.debugLine="Return a";
Debug.ShouldStop(524288);
if (true) return _a;
 BA.debugLineNum = 117;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _isgroupwa2(RemoteObject _sbntitle) throws Exception{
try {
		Debug.PushSubsStack("isGroupWA2 (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,106);
if (RapidSub.canDelegate("isgroupwa2")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","isgroupwa2", _sbntitle);}
RemoteObject _x = RemoteObject.createImmutable(false);
Debug.locals.put("sbnTitle", _sbntitle);
 BA.debugLineNum = 106;BA.debugLine="Sub isGroupWA2(sbnTitle As String) As Boolean 'ign";
Debug.ShouldStop(512);
 BA.debugLineNum = 107;BA.debugLine="Private x As Boolean = Regex.ismatch(\".*(: ).*\",";
Debug.ShouldStop(1024);
_x = notificationservice.mostCurrent.__c.getField(false,"Regex").runMethod(true,"IsMatch",(Object)(BA.ObjectToString(".*(: ).*")),(Object)(_sbntitle));Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 108;BA.debugLine="Return x";
Debug.ShouldStop(2048);
if (true) return _x;
 BA.debugLineNum = 109;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _ispersonwa(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("isPersonWA (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,121);
if (RapidSub.canDelegate("ispersonwa")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","ispersonwa", _sbn);}
RemoteObject _a = RemoteObject.createImmutable(false);
Debug.locals.put("sbn", _sbn);
 BA.debugLineNum = 121;BA.debugLine="Sub isPersonWA(sbn As StatusBarNotification) As Bo";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 122;BA.debugLine="Private a As Boolean = False";
Debug.ShouldStop(33554432);
_a = notificationservice.mostCurrent.__c.getField(true,"False");Debug.locals.put("a", _a);Debug.locals.put("a", _a);
 BA.debugLineNum = 123;BA.debugLine="If sbn.As(String).IndexOf(\"@s.whatsapp.net\") > -1";
Debug.ShouldStop(67108864);
if (RemoteObject.solveBoolean(">",(BA.ObjectToString(_sbn)).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("@s.whatsapp.net"))),BA.numberCast(double.class, -(double) (0 + 1)))) { 
_a = notificationservice.mostCurrent.__c.getField(true,"True");Debug.locals.put("a", _a);};
 BA.debugLineNum = 124;BA.debugLine="Return a";
Debug.ShouldStop(134217728);
if (true) return _a;
 BA.debugLineNum = 125;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _ispersonwa2(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("isPersonWA2 (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,129);
if (RapidSub.canDelegate("ispersonwa2")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","ispersonwa2", _sbn);}
RemoteObject _a = RemoteObject.createImmutable(false);
Debug.locals.put("sbn", _sbn);
 BA.debugLineNum = 129;BA.debugLine="Sub isPersonWA2(sbn As StatusBarNotification) As B";
Debug.ShouldStop(1);
 BA.debugLineNum = 130;BA.debugLine="Private a As Boolean = False";
Debug.ShouldStop(2);
_a = notificationservice.mostCurrent.__c.getField(true,"False");Debug.locals.put("a", _a);Debug.locals.put("a", _a);
 BA.debugLineNum = 131;BA.debugLine="If sbn.As(String).IndexOf(\"channel=individual\") >";
Debug.ShouldStop(4);
if (RemoteObject.solveBoolean(">",(BA.ObjectToString(_sbn)).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("channel=individual"))),BA.numberCast(double.class, -(double) (0 + 1)))) { 
_a = notificationservice.mostCurrent.__c.getField(true,"True");Debug.locals.put("a", _a);};
 BA.debugLineNum = 132;BA.debugLine="Return a";
Debug.ShouldStop(8);
if (true) return _a;
 BA.debugLineNum = 133;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _notimon_notificationposted(RemoteObject _sbn) throws Exception{
try {
		Debug.PushSubsStack("NotiMon_NotificationPosted (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,74);
if (RapidSub.canDelegate("notimon_notificationposted")) { SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","notimon_notificationposted", _sbn); return;}
ResumableSub_NotiMon_NotificationPosted rsub = new ResumableSub_NotiMon_NotificationPosted(null,_sbn);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_NotiMon_NotificationPosted extends BA.ResumableSub {
public ResumableSub_NotiMon_NotificationPosted(SHARK2.keymon.com.mx.notificationservice parent,RemoteObject _sbn) {
this.parent = parent;
this._sbn = _sbn;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
SHARK2.keymon.com.mx.notificationservice parent;
RemoteObject _sbn;
RemoteObject _cmd = null;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("NotiMon_NotificationPosted (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,74);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("SBN", _sbn);
 BA.debugLineNum = 75;BA.debugLine="Private logger As Boolean = True";
Debug.ShouldStop(1024);
parent._logger = parent.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 76;BA.debugLine="If SBN.PackageName = \"com.whatsapp\"	Then";
Debug.ShouldStop(2048);
if (true) break;

case 1:
//if
this.state = 36;
if (RemoteObject.solveBoolean("=",_sbn.runMethod(true,"getPackageName"),BA.ObjectToString("com.whatsapp"))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 77;BA.debugLine="If logger Then LogColor(SBN.PackageName, Colors.";
Debug.ShouldStop(4096);
if (true) break;

case 4:
//if
this.state = 9;
if (parent._logger.<Boolean>get().booleanValue()) { 
this.state = 6;
;}if (true) break;

case 6:
//C
this.state = 9;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","534996227",_sbn.runMethod(true,"getPackageName"),parent.mostCurrent.__c.getField(false,"Colors").getField(true,"Red"));
if (true) break;

case 9:
//C
this.state = 10;
;
 BA.debugLineNum = 78;BA.debugLine="If logger Then LogColor(\"isGroupWA2: \"&isGroupWA";
Debug.ShouldStop(8192);
if (true) break;

case 10:
//if
this.state = 15;
if (parent._logger.<Boolean>get().booleanValue()) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","534996228",RemoteObject.concat(RemoteObject.createImmutable("isGroupWA2: "),_isgroupwa(_sbn)),parent.mostCurrent.__c.getField(false,"Colors").getField(true,"Magenta"));
if (true) break;

case 15:
//C
this.state = 16;
;
 BA.debugLineNum = 79;BA.debugLine="If logger Then LogColor(\"isPersonWA: \"&isPersonW";
Debug.ShouldStop(16384);
if (true) break;

case 16:
//if
this.state = 21;
if (parent._logger.<Boolean>get().booleanValue()) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","534996229",RemoteObject.concat(RemoteObject.createImmutable("isPersonWA: "),_ispersonwa(_sbn)),parent.mostCurrent.__c.getField(false,"Colors").getField(true,"Magenta"));
if (true) break;

case 21:
//C
this.state = 22;
;
 BA.debugLineNum = 80;BA.debugLine="If logger Then Log($\"getGroupName: |${getGroupNa";
Debug.ShouldStop(32768);
if (true) break;

case 22:
//if
this.state = 27;
if (parent._logger.<Boolean>get().booleanValue()) { 
this.state = 24;
;}if (true) break;

case 24:
//C
this.state = 27;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","534996230",(RemoteObject.concat(RemoteObject.createImmutable("getGroupName: |"),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_getgroupname(_sbn.runMethod(true,"getTitle"))))),RemoteObject.createImmutable("|"))),0);
if (true) break;

case 27:
//C
this.state = 28;
;
 BA.debugLineNum = 81;BA.debugLine="Private cmd() As String = Regex.Split(\" \", SBN.M";
Debug.ShouldStop(65536);
_cmd = parent.mostCurrent.__c.getField(false,"Regex").runMethod(false,"Split",(Object)(BA.ObjectToString(" ")),(Object)(_sbn.runMethod(true,"getMessage")));Debug.locals.put("cmd", _cmd);Debug.locals.put("cmd", _cmd);
 BA.debugLineNum = 82;BA.debugLine="If SBN.Message.StartsWith(\"#NS\") And cmd.Length";
Debug.ShouldStop(131072);
if (true) break;

case 28:
//if
this.state = 35;
if (RemoteObject.solveBoolean(".",_sbn.runMethod(true,"getMessage").runMethod(true,"startsWith",(Object)(RemoteObject.createImmutable("#NS")))) && RemoteObject.solveBoolean("=",_cmd.getField(true,"length"),BA.numberCast(double.class, 2))) { 
this.state = 30;
}if (true) break;

case 30:
//C
this.state = 31;
 BA.debugLineNum = 83;BA.debugLine="If esMensajeWAValido(SBN) Then";
Debug.ShouldStop(262144);
if (true) break;

case 31:
//if
this.state = 34;
if (BA.ObjectToBoolean(_esmensajewavalido(_sbn).<String>get()).<Boolean>get().booleanValue()) { 
this.state = 33;
}if (true) break;

case 33:
//C
this.state = 34;
 BA.debugLineNum = 85;BA.debugLine="rp.ClearNotification(SBN)";
Debug.ShouldStop(1048576);
parent._rp.runVoidMethod ("ClearNotification",(Object)(_sbn));
 BA.debugLineNum = 86;BA.debugLine="Starter.reinicializaReqManager(cmd(1))";
Debug.ShouldStop(2097152);
parent.mostCurrent._starter.runVoidMethod ("_reinicializareqmanager" /*RemoteObject*/ ,(Object)(_cmd.getArrayElement(true,BA.numberCast(int.class, 1))));
 BA.debugLineNum = 87;BA.debugLine="rp.reply(SBN.Notification, SBN.PackageName, $\"";
Debug.ShouldStop(4194304);
parent._rp.runVoidMethod ("reply",(Object)((_sbn.runMethod(false,"getNotification").getObject())),(Object)((_sbn.runMethod(true,"getPackageName"))),(Object)((RemoteObject.concat(RemoteObject.createImmutable("Servidor cambiado a "),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_cmd.getArrayElement(true,BA.numberCast(int.class, 1))))),RemoteObject.createImmutable(" ")))));
 BA.debugLineNum = 88;BA.debugLine="Sleep(1000)";
Debug.ShouldStop(8388608);
parent.mostCurrent.__c.runVoidMethod ("Sleep",notificationservice.processBA,anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "notificationservice", "notimon_notificationposted"),BA.numberCast(int.class, 1000));
this.state = 37;
return;
case 37:
//C
this.state = 34;
;
 BA.debugLineNum = 90;BA.debugLine="rp.ClearAll";
Debug.ShouldStop(33554432);
parent._rp.runVoidMethod ("ClearAll");
 if (true) break;

case 34:
//C
this.state = 35;
;
 if (true) break;

case 35:
//C
this.state = 36;
;
 if (true) break;

case 36:
//C
this.state = -1;
;
 BA.debugLineNum = 94;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 45;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 48;BA.debugLine="Dim rp As ReplyAuto";
notificationservice._rp = RemoteObject.createNew ("b4a.jsaplication.com.br.ReplyAuto.NotificationListener");
 //BA.debugLineNum = 51;BA.debugLine="Dim logger As Boolean = False";
notificationservice._logger = notificationservice.mostCurrent.__c.getField(true,"False");
 //BA.debugLineNum = 52;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _service_create() throws Exception{
try {
		Debug.PushSubsStack("Service_Create (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,54);
if (RapidSub.canDelegate("service_create")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","service_create");}
 BA.debugLineNum = 54;BA.debugLine="Sub Service_Create";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 55;BA.debugLine="rp.Initialize(\"NotiMon\")";
Debug.ShouldStop(4194304);
notificationservice._rp.runVoidMethod ("Initialize",notificationservice.processBA,(Object)(RemoteObject.createImmutable("NotiMon")));
 BA.debugLineNum = 60;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_destroy() throws Exception{
try {
		Debug.PushSubsStack("Service_Destroy (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,70);
if (RapidSub.canDelegate("service_destroy")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","service_destroy");}
 BA.debugLineNum = 70;BA.debugLine="Sub Service_Destroy";
Debug.ShouldStop(32);
 BA.debugLineNum = 72;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_start(RemoteObject _startingintent) throws Exception{
try {
		Debug.PushSubsStack("Service_Start (notificationservice) ","notificationservice",27,notificationservice.processBA,notificationservice.mostCurrent,62);
if (RapidSub.canDelegate("service_start")) { return SHARK2.keymon.com.mx.notificationservice.remoteMe.runUserSub(false, "notificationservice","service_start", _startingintent);}
Debug.locals.put("StartingIntent", _startingintent);
 BA.debugLineNum = 62;BA.debugLine="Sub Service_Start (StartingIntent As Intent)";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 64;BA.debugLine="If rp.HandleIntent(StartingIntent) Then Return";
Debug.ShouldStop(-2147483648);
if (notificationservice._rp.runMethod(true,"HandleIntent",(Object)(_startingintent)).<Boolean>get().booleanValue()) { 
if (true) return RemoteObject.createImmutable("");};
 BA.debugLineNum = 68;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}